package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumActivityUseCreditStatus {


    YES(1, "使用"),
    NO(0, "不使用"),;

    public static EnumActivityUseCreditStatus getEnum(Integer code) {
        for (EnumActivityUseCreditStatus value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumActivityUseCreditStatus(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
